<?php

###############################################################################
# lang.php
# This is the rusian language page for the Geeklog File Mgmt Page Plug-in!
#
# Copyright (C) 2006 Ivan "hobbeat" Demenev
# http://hobbeat.getdata.be
# hobbeat@yandex.ru
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
###############################################################################


// Language variables used by the Plug-in API

$LANG_FM00 = array (
    'access_denied'     => ' ',
    'access_denied_msg' => 'Only Root Users have Access to this Page.  Your user name and IP have been recorded.',
    'admin'             => 'Plugin Admin',
    'install_header'    => '/ ',
    'installed'         => 'The Plugin and Block are now installed,<p><i>Enjoy,<br><a href="MAILTO:blaine@portalparts.com">Blaine</a></i>',
    'uninstalled'       => '   ',
    'install_success'   => 'Installation Successful<p><b>Next Steps</b>: 
        <ol><li>Use the Filemgmt Admin to complete the plugin configuration</ol>
        <p>Review the <a href="%s">Install Notes</a> for more information.',
    'install_failed'    => 'Installation Failed -- See your error log to find out why.',
    'uninstall_msg'     => 'Plugin Successfully Uninstalled',
    'install'           => '',
    'uninstall'         => '',
    'editor'            => 'Plugin Editor',
    'warning'           => 'De-Install Warning',
    'enabled'           => '<p style="padding: 15px 0px 5px 25px;">Plugin is installed and enabled.<br>Disable first if you want to De-Install it.</p><div style="padding:5px 0px 5px 25px;"><a href="'.$_CONF['site_admin_url'].'/plugins.php">Plugin Editor</a></div',
    'WhatsNewLabel'    => ' ',
    'WhatsNewPeriod'   => '   %s '
);

// Admin Navbar
$LANG_FM02 = array(
    'nav1'  => '',
    'nav2'  => '',
    'nav3'  => ' ',
    'nav4'  => ' (%s)',
    'nav5'  => '  (%s)'
);

$LANG_FILEMGMT = array(
    'newpage' => " ",
    'adminhome' => "",
    'plugin_name' => " ",
    'searchlabel' => " ",
    'searchlabel_results' => "File Listing Results",
    'downloads' => "",
    'report' => "",
    'usermenu1' => "",
    'usermenu2' => "&nbsp;&nbsp;",
    'usermenu3' => " ",
    'admin_menu' => " ",
    'writtenby' => "",
    'date' => "",
    'title' => "",
    'content' => "",
    'hits' => "",
    'Filelisting' => " ",
    'DownloadReport' => "Download History for single file",
    'StatsMsg1' => "Top Ten Accessed Files in Repository",
    'StatsMsg2' => "It appears there are no files defined for the filemgmt plugin on this site or no one has ever accessed them.",
    'usealtheader' => "Use Alt. Header",
    'url' => "URL",
    'edit' => "",
    'lastupdated' => "",
    'pageformat' => " ",
    'leftrightblocks' => " &  ",
    'blankpage' => " ",
    'noblocks' => " ",
    'leftblocks' => " ",
    'addtomenu' => '  ',
    'label' => '',
    'nofiles' => '     (Downloads)',
    'save' => '',
    'preview' => '.',
    'delete' => '',
    'cancel' => '',
    'access_denied' => '  ',
    'invalid_install' => '-       /   .  User id: ',
    'start_install' => 'Attempting to install the Filemgmt Plugin',
    'start_dbcreate' => 'Attempting to create tables for Filemgmt plugin',
    'install_skip' => '... skipped as per filemgmt.cfg',
    'access_denied_msg' => 'You are illegally trying access the File Mgmt administration pages.  Please note that all attempts to illegally access this page are logged',
    'installation_complete' => ' ',
    'installation_complete_msg' => 'The data structures for the File Mgmt plugin for Geeklog have been successfully installed into your database!  If you ever need to uninstall this plugin, please read the README document that came with this plugin.',
    'installation_failed' => 'Installation Failed',
    'installation_failed_msg' => 'The installation of the File Mgmt plugin failed.  Please see your Geeklog error.log file for diagnostic information',
    'system_locked' => 'System Locked',
    'system_locked_msg' => 'The File Mgmt plugin has already been installed and is locked.  If you are trying to uninstall this plugin, please read the README document that shipped with this plugin',
    'uninstall_complete' => 'Uninstall Complete',
    'uninstall_complete_msg' => 'The datastructures for the File Mgmt plugin have been successfully removed from your Geeklog database<br><br>You will need to manually remove all files in your file repository.',
    'uninstall_failed' => 'Uninstall Failed.',
    'uninstall_failed_msg' => 'The uninstall of the File Mgmt plugin failed.  Please see your Geeklog error.log file for diagnostic information',
    'install_noop' => 'Plugin Install',
    'install_noop_msg' => 'The filemgmt plugin install executed but there was nothing to do.<br><br>Check your plugin install.cfg file.',
    'all_html_allowed' => ' HTML  ',
    'no_new_files'  => '  ',
    'no_comments'   => '  ',
    'more'          => '<em> ...</em>'
);

$PLG_filemgmt_MESSAGE1 = 'Filemgmt Plugin Install Aborted<br>File: plugins/filemgmt/filemgmt.php is not writeable';
$PLG_filemgmt_MESSAGE3 = 'This plugin requires Geeklog Version 1.4 or greater, upgrade aborted.';
$PLG_filemgmt_MESSAGE4 = 'Plugin version 1.5 code not detected - upgrade aborted.';
$PLG_filemgmt_MESSAGE5 = 'Filemgmt Plugin Upgrade Aborted<br>Current plugin version is not 1.3';


// Language variables used by the plugin - general users access code.

define("_MD_THANKSFORINFO","  . We'll look into your request shortly.");
define("_MD_BACKTOTOP","Back to Downloads Top");
define("_MD_THANKSFORHELP","Thank you for helping to maintain this directory's integrity.");
define("_MD_FORSECURITY","      IP    .");

define("_MD_SEARCHFOR","");
define("_MD_MATCH","");
define("_MD_ALL","");
define("_MD_ANY","");
define("_MD_NAME","");
define("_MD_DESCRIPTION","");
define("_MD_SEARCH","");

define("_MD_MAIN","");
define("_MD_SUBMITFILE","Submit File");
define("_MD_POPULAR","");
define("_MD_NEW","");
define("_MD_TOPRATED","");

define("_MD_NEWTHISWEEK","   ");
define("_MD_UPTHISWEEK","   ");

define("_MD_POPULARITYLTOM"," (   )");
define("_MD_POPULARITYMTOL"," (   )");
define("_MD_TITLEATOZ"," (   )");
define("_MD_TITLEZTOA"," (   )");
define("_MD_DATEOLD"," (   )");
define("_MD_DATENEW"," (   )");
define("_MD_RATINGLTOH"," (   )");
define("_MD_RATINGHTOL"," (   )");

define("_MD_NOSHOTS"," ");
define("_MD_EDITTHISDL","Edit This Download");

define("_MD_LISTINGHEADING","<b> :    %s (, )</b>");
define("_MD_LATESTLISTING","<b> :</b>");
define("_MD_DESCRIPTIONC",":");
define("_MD_EMAILC","E-mail: ");
define("_MD_CATEGORYC",": ");
define("_MD_LASTUPDATEC",": ");
define("_MD_DLNOW","!");
define("_MD_VERSION","");
define("_MD_SUBMITDATE","");
define("_MD_DLTIMES"," %s ()");
define("_MD_FILESIZE","");
define("_MD_SUPPORTEDPLAT"," ");
define("_MD_HOMEPAGE","Web ");
define("_MD_HITSC",": ");
define("_MD_RATINGC",": ");
define("_MD_ONEVOTE","1 ");
define("_MD_NUMVOTES","(%s)");
define("_MD_NOPOST","/");
define("_MD_NUMPOSTS","%s (, )");
define("_MD_COMMENTSC",": ");
define ("_MD_ENTERCOMMENT", "  ");
define("_MD_RATETHISFILE"," ");
define("_MD_MODIFY","Modify");
define("_MD_REPORTBROKEN","   ");
define("_MD_TELLAFRIEND"," ");
define("_MD_VSCOMMENTS","/ ");
define("_MD_EDIT","");

define("_MD_THEREARE","   %s (, ))");
define("_MD_LATESTLIST","Latest Listings");

define("_MD_REQUESTMOD","Request Download Modification");
define("_MD_FILE","");
define("_MD_FILEID"," ID: ");
define("_MD_FILETITLE",": ");
define("_MD_DLURL","URL  : ");
define("_MD_HOMEPAGEC","WWW : ");
define("_MD_VERSIONC",": ");
define("_MD_FILESIZEC"," : ");
define("_MD_NUMBYTES","%s ");
define("_MD_PLATFORMC"," : ");
define("_MD_CONTACTEMAIL"," Email: ");
define("_MD_SHOTIMAGE",": ");
define("_MD_SENDREQUEST"," ");

define("_MD_VOTEAPPRE","Your vote is appreciated.");
define("_MD_THANKYOU","Thank you for taking the time to vote here at %s"); // %s is your site name
define("_MD_VOTEFROMYOU","Input from users such as yourself will help other visitors better decide which file to download.");
define("_MD_VOTEONCE","Please do not vote for the same resource more than once.");
define("_MD_RATINGSCALE","10-  , 1 - , 10 - .");
define("_MD_BEOBJECTIVE","Please be objective, if everyone receives a 1 or a 10, the ratings aren't very useful.");
define("_MD_DONOTVOTE","Do not vote for your own resource.");
define("_MD_RATEIT","!");

define("_MD_INTFILEAT","Interesting Download File at %s"); // %s is your site name
define("_MD_INTFILEFOUND","Here is an interesting download file I have found at %s"); // %s is your site name

define("_MD_RECEIVED","   . !");
define("_MD_WHENAPPROVED","You'll receive an E-mail when it's approved.");
define("_MD_SUBMITONCE","Submit your file/script only once.");
define("_MD_APPROVED", "Your file has been approved");
define("_MD_ALLPENDING","All file/script information are posted pending verification.");
define("_MD_DONTABUSE","Username and IP are recorded, so please don't abuse the system.");
define("_MD_TAKEDAYS","It may take several days for your file/script to be added to our database.");

define("_MD_RANK","Rank");
define("_MD_CATEGORY","");
define("_MD_HITS","");
define("_MD_RATING","");
define("_MD_VOTE","");

define("_MD_SEARCHRESULT4","  <b>%s</b>:");
define("_MD_MATCHESFOUND","%s .");
define("_MD_SORTBY"," :");
define("_MD_TITLE","");
define("_MD_DATE","");
define("_MD_POPULARITY","");
define("_MD_CURSORTBY","  : ");
define("_MD_FOUNDIN","Found in:");
define("_MD_PREVIOUS","");
define("_MD_NEXT","");
define("_MD_NOMATCH","     ");

define("_MD_TOP10","%s  "); // %s is a downloads category name
define("_MD_CATEGORIES","");

define("_MD_SUBMIT","Submit");
define("_MD_CANCEL","");

define("_MD_BYTES","");
define("_MD_ALREADYREPORTED","You have already submitted a broken report for this resource.");
define("_MD_MUSTREGFIRST","Sorry, you don't have the permission to perform this action.<br>Please register or login first!");
define("_MD_NORATING","No rating selected.");
define("_MD_CANTVOTEOWN","You cannot vote on the resource you submitted.<br>All votes are logged and reviewed.");

// Language variables used by the plugin - Admin code.

define("_MD_RATEFILETITLE","Record your file rating");
define("_MD_ADMINTITLE","File Management Administration");
define("_MD_UPLOADTITLE","File Management -   ");
define("_MD_CATEGORYTITLE","File Listing -  ");
define("_MD_DLCONF","Downloads Configuration");
define("_MD_GENERALSET","Configuration Settings");
define("_MD_ADDMODFILENAME","  ");
define ("_MD_ADDCATEGORYSNAP", "Optional Image: <small>(Top Level Categories only)</small>");
define ("_MD_ADDIMAGENOTE", "(Image height will be resized to 50)");
define("_MD_ADDMODCATEGORY","<b>:</b> , ,   ");
define("_MD_DLSWAITING","  ");
define("_MD_BROKENREPORTS","   ");
define("_MD_MODREQUESTS","Download Info Modification Requests");
define("_MD_EMAILOPTION","Email submitter if file approved: ");
define("_MD_COMMENTOPTION"," :");
define("_MD_SUBMITTER","Submitter: ");
define("_MD_DOWNLOAD","");
define("_MD_FILELINK","  ");
define("_MD_SUBMITTEDBY","Submitted by: ");
define("_MD_APPROVE","Approve");
define("_MD_DELETE","");
define("_MD_NOSUBMITTED","No New Submitted Downloads.");
define("_MD_ADDMAIN"," ");
define("_MD_TITLEC",": ");
define("_MD_CATSEC", "  : ");
define("_MD_IMGURL","<br>Image Filename <font size='-2'> (located in your filemgmt_data/category_snaps directory - Image height will be resized to 50)</font>");
define("_MD_ADD","");
define("_MD_ADDSUB"," ");
define("_MD_IN","");
define("_MD_ADDNEWFILE","  ");
define("_MD_MODCAT"," ");
define("_MD_MODDL","Modify Download Info");
define("_MD_USER","User");
define("_MD_IP","IP ");
define("_MD_USERAVG","User AVG Rating");
define("_MD_TOTALRATE","Total Ratings");
define("_MD_NOREGVOTES","No Registered User Votes");
define("_MD_NOUNREGVOTES","No Unregistered User Votes");
define("_MD_VOTEDELETED","Vote data deleted.");
define("_MD_NOBROKEN","No reported broken files.");
define("_MD_IGNOREDESC","Ignore (Ignores the report and only deletes this reported entry</b>)");
define("_MD_DELETEDESC","Delete (Deletes <b>the reported file entry in the repository</b> but not the actual file)");
define("_MD_REPORTER","Report Sender");
define("_MD_FILESUBMITTER","File Submitter");
define("_MD_IGNORE","");
define("_MD_FILEDELETED"," .");
define("_MD_FILENOTDELETED"," ,    .<p>  1     .");
define("_MD_BROKENDELETED","    .");
define("_MD_USERMODREQ","User Download Info Modification Requests");
define("_MD_ORIGINAL","Original");
define("_MD_PROPOSED","Proposed");
define("_MD_OWNER","Owner: ");
define("_MD_NOMODREQ","No Download Modification Request.");
define("_MD_DBUPDATED","Database Updated Successfully!");
define("_MD_MODREQDELETED","Modification Request Deleted.");
define("_MD_IMGURLMAIN","Image (Image height will be resized to 50): ");
define("_MD_PARENT","Parent Category:");
define("_MD_SAVE"," ");
define("_MD_CATDELETED"," .");
define("_MD_WARNING",":  ,             ?");
define("_MD_YES","");
define("_MD_NO","");
define("_MD_NEWCATADDED","    !");
define("_MD_CONFIGUPDATED","  ");
define("_MD_ERROREXIST",": The download info you provided is already in the database!");
define("_MD_ERRORNOFILE",": File not found on record in the database!");
define("_MD_ERRORTITLE",": You need to enter TITLE!");
define("_MD_ERRORDESC",": You need to enter DESCRIPTION!");
define("_MD_NEWDLADDED","New download added to the database.");
define("_MD_NEWDLADDED_DUPFILE",":  . New download added to the database.");
define("_MD_NEWDLADDED_DUPSNAP","Warning: Duplicate Snap. New download added to the database.");
define("_MD_HELLO"," %s");
define("_MD_WEAPPROVED","We approved your download submission to our downloads section. The file name is: ");
define("_MD_THANKSSUBMIT","Thanks for your submission!");
define("_MD_UPLOADAPPROVED","Your uploaded file was approved");
define("_MD_DLSPERPAGE","   : ");
define("_MD_HITSPOP",",   : ");
define("_MD_DLSNEW"," , ,  : ");
define("_MD_DLSSEARCH","    : ");
define("_MD_TRIMDESC","Trim File Descriptions in Listing: ");
define("_MD_DLREPORT","Restrict access to Download report");
define("_MD_WHATSNEWDESC","Enable WhatsNew Listing");
define("_MD_SELECTPRIV","Restrict access to group 'Logged-In Users' only: ");
define("_MD_ACCESSPRIV","  : ");
define("_MD_UPLOADSELECT","Allow Logged-In uploads: ");
define("_MD_UPLOADPUBLIC","   : ");
define("_MD_USESHOTS","Display Category Images: ");
define("_MD_IMGWIDTH"," : ");
define("_MD_MUSTBEVALID","Thumbnail image must be a valid image file under %s directory (ex. shot.gif). Leave it blank if no image file.");
define("_MD_REGUSERVOTES","Registered User Votes (total votes: %s)");
define("_MD_ANONUSERVOTES","Anonymous User Votes (total votes: %s)");
define("_MD_YOURFILEAT","Your file submitted at %s"); // this is an approved mail subject. %s is your site name
define("_MD_VISITAT","Visit our downloads section at %s");
define("_MD_DLRATINGS","Download Rating (total votes: %s)");
define("_MD_CONFUPDATED","Configuration Updated Successfully!");
define("_MD_NOFILES","  ");

// Additional Geeklog Defines
define("_MD_NOVOTE"," ");
define("_IFNOTRELOAD","  .    ,   <a href=%s></a>");
define("_GL_ERRORNOACCESS",":      ");
define("_GL_ERRORNOUPLOAD",":         ");
define("_GL_ERRORNOADMIN",": This function is restricted");
define("_GL_NOUSERACCESS","does not have access to the Document Repository");
define("_MD_ERRUPLOAD","Filemgmt: Unable to upload - check permissions for the file store directories");
define("_MD_DLFILENAME"," : ");
define("_MD_REPLFILENAME","Replacement  File: ");
define("_MD_SCREENSHOT","");
define("_MD_SCREENSHOT_NA",'&nbsp;');
define("_MD_COMMENTSWANTED","Comments are appreciated");
define("_MD_CLICK2SEE","  : ");
define("_MD_CLICK2DL","  : ");
define("_MD_ORDERBY","Order By: ");
define("_MD_ORDERBY","Order By: ");
define("_MD_ORDERBY","Order By: ");

?>
